summaryrefslogtreecommitdiffstats
path: root/network/nrpe/nrpe.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/nrpe/nrpe.SlackBuild')
-rw-r--r--network/nrpe/nrpe.SlackBuild101
1 files changed, 101 insertions, 0 deletions
diff --git a/network/nrpe/nrpe.SlackBuild b/network/nrpe/nrpe.SlackBuild
new file mode 100644
index 0000000000..a40e19672e
--- /dev/null
+++ b/network/nrpe/nrpe.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for nrpe
+
+# Written by Zordrak <slackbuilds@tpa.me.uk>
+
+PRGNAM=nrpe
+VERSION=${VERSION:-2.12}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+# Bail out if user or group isn't valid on your system
+# For slackbuilds.org, assigned nagios uid/gid are 213/213
+# See http://slackbuilds.org/uid_gid.txt
+if ! grep ^nagios: /etc/group 2>&1 > /dev/null; then
+ echo " You must have a \"nagios\" group to run this script."
+ echo " # groupadd -g 213 nagios"
+ exit 1
+elif ! grep ^nagios: /etc/passwd 2>&1 > /dev/null; then
+ echo " You must have a \"nagios\" user to run this script."
+ echo " # useradd -u 213 -g nagios -d /usr/nagios -s /bin/false nagios"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec/nagios \
+ --sysconfdir=/etc/nagios \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-nrpe-user=nagios \
+ --with-nrpe-group=nagios \
+ --with-nrpe-port=5666 \
+ --with-nagios-user=nagios \
+ --with-nagios-group=nagios \
+ --build=$ARCH-slackware-linux
+
+make
+make install-plugin DESTDIR=$PKG
+make install-daemon DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/etc/nagios
+cat sample-config/nrpe.cfg > $PKG/etc/nagios/nrpe.cfg.new
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.nrpe > $PKG/etc/rc.d/rc.nrpe.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README README.SSL SECURITY LEGAL Changelog docs contrib sample-config \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz